Bug 100113 - RFE: Context menu to view a key using the default keyserver www interface
Summary: RFE: Context menu to view a key using the default keyserver www interface
Status: RESOLVED FIXED
Alias: None
Product: kgpg
Classification: Unclassified
Component: general (show other bugs)
Version: 1.2
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Rolf Eike Beer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-23 20:35 UTC by Neil Williams
Modified: 2013-10-18 19:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Neil Williams 2005-02-23 20:35:52 UTC
Version:           1.2 (using KDE 3.3.2,  (3.1))
Compiler:          gcc version 3.3.5 (Debian 1:3.3.5-8)
OS:                Linux (i686) release 2.4.25-1-686

Sometimes it's better to view a key with lots of unknown signatures using a keyserver WWW interface, rather than importing perhaps 100 unnecessary keys.
Currently, the route is to view the key properties, copy the last two blocks of the fingerprint, paste those into the keyserver query input, remove the space and add the '0x' at the start.
Would it be possible to do this via a context menu?
"View this key on keyserver"

Alternatively, how about a link from the context menu direct to BigLumber, using the whole fingerprint? The URL for that would be:
http://www.biglumber.com/x/web?sf=4CD46644C10548EDCA28EC368801094A28BCB3E3;sid=28BCB3E3
for my own key. In general:
http://www.biglumber.com/x/web?sf=<fingerprint>;sid=<keyid>
Comment 1 Rolf Eike Beer 2013-10-18 18:51:19 UTC
Git commit 90078a8eef97017f14817c7602eac3782406cd2f by Rolf Eike Beer.
Committed on 18/10/2013 at 14:41.
Pushed by dakon into branch 'master'.

Allow to open a URL from a keys context menu to show additional information

This currently lacks a configuration UI.
FEATURE

M  +49   -1    keysmanager.cpp
M  +1    -0    keysmanager.h
M  +4    -1    keysmanager.rc
M  +4    -0    kgpg.kcfg

http://commits.kde.org/kgpg/90078a8eef97017f14817c7602eac3782406cd2f